Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller.portlet
Class CoreEventControllerContext

    java.lang.Object
      org.jboss.portal.core.controller.portlet.CoreEventControllerContext

All Implemented Interfaces:
  org.jboss.portal.portlet.controller.event.EventControllerContext

    public class CoreEventControllerContext

extends java.lang.Object
implements org.jboss.portal.portlet.controller.event.EventControllerContext

Version:
  $Revision: 630 $
Author:
  Julien Viet, Boleslaw Dawidowicz

Field Summary

Fields inherited from interface org.jboss.portal.portlet.controller.event.EventControllerContext
`CONSUMED_EVENT_FLOODED, EVENT_CONSUMER_INFO_NOT_AVAILABLE, EVENT_CONSUMER_NOT_AVAILABLE, EVENT_PRODUCER_INFO_NOT_AVAILABLE, EVENT_PRODUCER_NOT_AVAILABLE, PORTLET_DOES_NOT_CONSUME_EVENT, PRODUCED_EVENT_FLOODED`

Constructor Summary
`CoreEventControllerContext(ControllerPortletControllerContext portletControllerContext)`

Method Summary
`void` | `eventConsumed(org.jboss.portal.portlet.controller.event.EventPhaseContext context, org.jboss.portal.portlet.controller.event.PortletWindowEvent consumedEvent, org.jboss.portal.portlet.invocation.response.PortletInvocationResponse consumerResponse)`
`void` | `eventDiscarded(org.jboss.portal.portlet.controller.event.EventPhaseContext context, org.jboss.portal.portlet.controller.event.PortletWindowEvent discardedEvent, int cause)`
`void` | `eventFailed(org.jboss.portal.portlet.controller.event.EventPhaseContext context, org.jboss.portal.portlet.controller.event.PortletWindowEvent failedEvent, java.lang.Throwable throwable)`
`void` | `eventProduced(org.jboss.portal.portlet.controller.event.EventPhaseContext context, org.jboss.portal.portlet.controller.event.PortletWindowEvent producedEvent, org.jboss.portal.portlet.controller.event.PortletWindowEvent sourceEvent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreEventControllerContext

    public CoreEventControllerContext(ControllerPortletControllerContext portletControllerContext)

Method Detail

### eventProduced

    public void eventProduced(org.jboss.portal.portlet.controller.event.EventPhaseContext context,
                              org.jboss.portal.portlet.controller.event.PortletWindowEvent producedEvent,
                              org.jboss.portal.portlet.controller.event.PortletWindowEvent sourceEvent)

  Specified by:
    `eventProduced` in interface `org.jboss.portal.portlet.controller.event.EventControllerContext`

### eventConsumed

    public void eventConsumed(org.jboss.portal.portlet.controller.event.EventPhaseContext context,
                              org.jboss.portal.portlet.controller.event.PortletWindowEvent consumedEvent,
                              org.jboss.portal.portlet.invocation.response.PortletInvocationResponse consumerResponse)

  Specified by:
    `eventConsumed` in interface `org.jboss.portal.portlet.controller.event.EventControllerContext`

### eventFailed

    public void eventFailed(org.jboss.portal.portlet.controller.event.EventPhaseContext context,
                            org.jboss.portal.portlet.controller.event.PortletWindowEvent failedEvent,
                            java.lang.Throwable throwable)

  Specified by:
    `eventFailed` in interface `org.jboss.portal.portlet.controller.event.EventControllerContext`

### eventDiscarded

    public void eventDiscarded(org.jboss.portal.portlet.controller.event.EventPhaseContext context,
                               org.jboss.portal.portlet.controller.event.PortletWindowEvent discardedEvent,
                               int cause)

  Specified by:
    `eventDiscarded` in interface `org.jboss.portal.portlet.controller.event.EventControllerContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD